Subject: Re: about Area Splitting

From: "Li, Ke Qin (Peter)" <[email-masked]>
Date: Tue, 9 Dec 2003 15:49:40 +0800

Hi,

Thank you for your reply.

Let's still use the notations in that draft. In my understanding, when a
packet destined to y reaches a, a will discard the packet, and reply an ICMP
Destination Unreachable message. But this will not change the routing table
of c. C will keep sending packets to a.

What does "reject route" mean? And what does "coincide with computed
intra-area routes" mean? Do you mean that because m is not equal to x, a
reject route corresponding to m-x will be installed?

Thank you.

Keqin Li

> -----Original Message-----
> From: Acee Lindem [mailto:[email-masked]]
> Sent: Tuesday, December 09, 2003 10:38
> To: [email-masked]
> Subject: Re: about Area Splitting
>
>
>
> Hi Kegin,
>
> The traffic should result in an ICMP reject since any deployable
> implementation will install a reject route corresponding
> to its active area ranges that do not coincide with computed
> intra-area
> routes. RFC 2328 doesn't state this explicitly but
> it is implied by section 3.5 (it says a single route may be advertised
> for an area range - this implies a route exists).
>
> I'm not sure how serious the problem is since there haven't been that
> many complaints. However, as
> Sina points out, the proposed Tunnel Adjacency (TA) extension can be
> used to repair a partitioned
> non-backbone area.
>
>
>

---

From: Acee Lindem <[email-masked]>
Date: Tue, 9 Dec 2003 08:14:01 -0500

>of c. C will keep sending packets to a.
Correct.

>reject route corresponding to m-x will be installed?
When you advertise a prefix you should install a corresponding route (if
there is no intra-area prefix that corresponds
exactly to the area range). Hence, you install a route with a null
nexthop and reply with an ICMP destination unreachable (with
normal ICMP rate limiting). I believe the "reject" terminology dates
back to BSD 4.x although others may correct me if
they are aware of a different origin.